---
metadata:
  - name: generator
    content: Diplodoc Platform v5.63.0
alternate:
  - https://fleet.yandex.ru/docs/api/en/openapi/ContractorProfiles/v1RegionsList.md
  - https://fleet.yandex.ru/docs/api/ru/openapi/ContractorProfiles/v1RegionsList.md
  - href: https://fleet.yandex.ru/docs/api/en/openapi/ContractorProfiles/v1RegionsList.md
    type: text/markdown
    title: Markdown version
  - href: https://fleet.yandex.ru/docs/api/en/llms.txt?revision=r21515713
    rel: describedby
---
> **Documentation Index:** Fetch the complete configuration index at https://fleet.yandex.ru/docs/api/en/llms.txt?revision=r21515713

<div class="openapi">

#  List of regions available for hiring Eats couriers 

<!-- markdownlint-disable-file -->

 List of regions available for hiring Eats couriers. Region filtering takes into account the employment type and the park's country 

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://fleet-api.taxi.yandex.net/v1/eats/regions/list
```

</div>

</div>

</div>

### Headers

#|
|| **Name** | **Description** ||
||

_Accept-Language_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Preferred language of the response 

_Min length:_{.json-schema-reset .json-schema-assertion} `2`

_Example:_{.json-schema-reset .json-schema-example} `ru`
{.table-cell}
||
||

_X-API-Key_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 API-key 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `<API key>`
{.table-cell}
||
||

_X-Client-ID_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Client ID 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `<Client ID>`
{.table-cell}
||
||

_X-Park-ID_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Partner ID 

_Example:_{.json-schema-reset .json-schema-example} `ee6f33c4562b4e1f8646d157bd70b2c4`
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "limit": 100,
  "cursor": "example",
  "region_name_prefix": " Mos ",
  "employment_type": "park_direct"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_employment_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Employment type. Can be park_direct (park direct staff) or courier_service (courier service employee in Fleet terms) 

_Enum:_{.json-schema-reset .json-schema-value} `park_direct`, `courier_service`
{.table-cell}
||
||

_limit_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

 Number of regions to return 

_Min value:_{.json-schema-reset .json-schema-assertion} `1`

_Max value:_{.json-schema-reset .json-schema-assertion} `1000`
{.table-cell}
||
||

_cursor_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Cursor from which the next regions should be returned. To get the next batch of regions, specify the cursor received in the response to the previous request 

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_region_name_prefix_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Region name prefix for filtering. Regions whose name starts with the specified prefix will be returned in the response 

_Example:_{.json-schema-reset .json-schema-example} ` Mos `
{.table-cell}
||
|#{.json-schema-properties}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

 List of regions where Eats hiring is open 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "regions": [
    {
      "geobase_id": 1,
      "name": "Moscow"
    }
  ],
  "next_cursor": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_regions_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [Region](#entity-Region)[]

 List of regions where Eats hiring is open. Regions are sorted by the 'name' field 

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "geobase_id": 1,
    "name": "Moscow"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_next_cursor_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Cursor for getting the next batch of regions. A null value means the list has been fully read 

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### Region {#entity-Region}

#|
|| **Name** | **Description** ||
||

_geobase_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

 Region identifier in the geobase 
{.table-cell}
||
||

_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Localized region name 

_Example:_{.json-schema-reset .json-schema-example} `Moscow`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "geobase_id": 1,
  "name": "Moscow"
}
```

{% endcut %}

</div>

</div>

<div class="openapi__response__code__400">

## 400 Bad Request

 Invalid request parameters 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "example",
  "message": "Textual description of the error"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Human-readable error message 

_Example:_{.json-schema-reset .json-schema-example} `Textual description of the error`
{.table-cell}
||
||

_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Machine-readable error code 

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__422">

## 422 Unprocessable Entity

 Invalid request parameters 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "example",
  "message": "Textual description of the error"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Human-readable error message 

_Example:_{.json-schema-reset .json-schema-example} `Textual description of the error`
{.table-cell}
||
||

_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Machine-readable error code 

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.